Skip to content

Patch Org

PATCH
/api/superadmin/orgs/{org_id}
curl --request PATCH \
--url https://example.com/api/superadmin/orgs/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "status": "example" }'

Update org name or status.

org_id
required
Org Id
string
Media type application/json
PatchOrgRequest
object
name
Any of:
string
status
Any of:
string
Example generated
{
"name": "example",
"status": "example"
}

Successful Response

Media type application/json
OrgResponse
object
id
required
Id
string
name
required
Name
string
slug
Any of:
string
status
Status
string
default: active
member_count
Member Count
integer
0
deal_count
Deal Count
integer
0
created_at
Any of:
string
updated_at
Any of:
string
Example
{
"status": "active",
"member_count": 0,
"deal_count": 0
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}